fpath=(~/.cryptozsh_tools/v3das $fpath) 

# Requirements
#autoload -U compinit
#compinit
#zstyle ':completion:*' menu select=2

function nls {
    echo "\nYou can get help from the following topics:\n"
    for f in ~/.cryptozsh_tools/v3das/* ; do
        echo $f | rev | cut -d'/' -f1 | rev | cut -d'.' -f1 | egrep -v "^_n"
    done
    echo ""
}


function n {
    # query knowledgebase, use tab after n
    if [ -d "~/.cryptozsh_tools/v3das" ]
      then
        echo "knowledge base / notes are missing"
    else
        cat ~/.cryptozsh_tools/v3das/$1
    fi
}
